﻿// ----------------------------------------------------------------------------------
// Sample Code from Fernando Machado Píriz's blog: http://fernandomachadopiriz.com
//
// <copyright company="Fernando Machado Píriz" file="SelectProgramsData.cs">
// Copyright (c) Fernando Machado Píriz. Distributed under FSF's GPL v2.</copyright>
// ----------------------------------------------------------------------------------
// This code and information are provided "as is" without warranty of any kind,
// either expressed of implied, including but not limited to the implied warranties
// of merchantability and/or fitness for a particular purpose.
// ----------------------------------------------------------------------------------
namespace ClosePrograms
{
    using System.Collections.Generic;

    /// <summary>
    /// Data to be passed to and received from <code>SelectPrograms</code> dialog box.
    /// </summary>
    internal sealed class SelectProgramsData
    {
        /// <summary>
        /// Gets or sets the list of programs to close selected in the dialog box.
        /// </summary>
        internal IList<ProgramToClose> ProgramsToClose { get; set; }
    }
}
