﻿// ----------------------------------------------------------------------------------
// Sample Code from Fernando Machado Píriz's blog: http://fernandomachadopiriz.com
//
// <copyright company="Fernando Machado Píriz" file="DesktopIconsView.xaml.cs">
// Copyright (c) Fernando Machado Píriz. Distributed under FSF's GPL v2.</copyright>
// ----------------------------------------------------------------------------------
// This code and information are provided "as is" without warranty of any kind,
// either expressed of implied, including but not limited to the implied warranties
// of merchantability and/or fitness for a particular purpose.
// ----------------------------------------------------------------------------------
namespace DesktopIcons
{
    using System.Windows.Controls;

    /// <summary>
    /// Interaction logic for DesktopIconsView.xaml
    /// </summary>
    public partial class DesktopIconsView : UserControl
    {
        /// <summary>
        /// Initializes a new instance of the DesktopIconsView class.
        /// </summary>
        public DesktopIconsView()
        {
            InitializeComponent();
            (Resources["desktopIconsViewModel"] as DesktopIconsViewModel).AssignView(this);
        }
    }
}
