﻿// ----------------------------------------------------------------------------------
// Sample Code from Fernando Machado Píriz's blog: http://fernandomachadopiriz.com
//
// <copyright company="Fernando Machado Píriz" file="DesktopBackgroundView.xaml.cs">
// Copyright (c) Fernando Machado Píriz. Distributed under FSF's GPL v2.</copyright>
// ----------------------------------------------------------------------------------
// This code and information are provided "as is" without warranty of any kind,
// either expressed of implied, including but not limited to the implied warranties
// of merchantability and/or fitness for a particular purpose.
// ----------------------------------------------------------------------------------
namespace DesktopBackground
{
    using System.ComponentModel.Composition;
    using System.Windows.Controls;
    using GivingAPresentation.Commons;

    /// <summary>
    /// Interaction logic for DesktopBackgroundView.xaml
    /// </summary>
    public partial class DesktopBackgroundView : UserControl
    {
        /// <summary>
        /// Initializes a new instance of the DesktopBackgroundView class.
        /// </summary>
        public DesktopBackgroundView()
        {
            InitializeComponent();
            (Resources["desktopBackgroundViewModel"] as DesktopBackgroundViewModel).AssignView(this);
        }
    }
}
