﻿// ----------------------------------------------------------------------------------
// Sample Code from Fernando Machado Píriz's blog: http://fernandomachadopiriz.com
//
// <copyright company="Fernando Machado Píriz" file="ScreensaverView.xaml.cs">
// Copyright (c)Fernando Machado Píriz. Distributed under FSF's GPL v2.</copyright>
// ----------------------------------------------------------------------------------
// This code and information are provided "as is" without warranty of any kind,
// either expressed of implied, including but not limited to the implied warranties
// of merchantability and/or fitness for a particular purpose.
// ----------------------------------------------------------------------------------
namespace Screensaver
{
    using System.Windows.Controls;

    /// <summary>
    /// Interaction logic for ScreensaverView.xaml
    /// </summary>
    public partial class ScreensaverView : UserControl
    {
        /// <summary>
        /// Initializes a new instance of the ScreensaverView class.
        /// </summary>
        public ScreensaverView()
        {
            InitializeComponent();
            (Resources["screensaverViewModel"] as ScreensaverViewModel).AssignView(this);
        }
    }
}
